package com.rjconsultores.ventaboletos.web.utilerias.menu.item.esquemaoperacional;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.constantes.ConstantesFuncionSistema;
import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuCadastroOperadorEmbarcada extends DefaultItemMenuSistema {
	
	public ItemMenuCadastroOperadorEmbarcada() {
		super("indexController.mniConfVendaEmbarcada.cadastroOperador.label");
	}

	@Override
	public String getClaveMenu() {
		return ConstantesFuncionSistema.CLAVE_CONFIGURACAO_VENDA_EMBARCADA;
	}

	@Override
	public void ejecutar() {
		PantallaUtileria.openWindow("/gui/esquema_operacional/busquedaOperadorEmbarcada.zul",
				Labels.getLabel("busquedaOperadorEmbarcada.titulo"), getArgs() ,desktop);
	}

}
